Subject: bug#25666: Screen rendering bug

From: Fredrik Ljungdahl <[email-masked]>
Date: Thu, 9 Feb 2017 09:23:48 +0100

Hi.
I encountered a minor bug related to screen rendering in vertical split
screen (a | b) of the same file and some forms of page scrolling. The
problem seems to be related to linum-mode.

What I did to reproduce this bug under default settings:
* I used a 146x46 size terminal (potentially matters)
* Acquire this: http://sprunge.us/hVNi
* Invoke emacs with emacs -Q
* Go to this file (C-x C-f hVNi)
* Invoke line number mode (M-x linum-mode), lack of linum-mode doesn't seem
to reproduce this
* Split the window (C-x 3)
* Hold down C-n (C-v does not reproduce this)
* On the 2nd half-scroll, the 2nd split window should have its rendering
messed up in obvious ways

Emacs version: 25.1.1
System info (uname -a): Linux fiq-desktop 4.9.6-1-ARCH #1 SMP PREEMPT Thu
Jan 26 09:22:26 CET 2017 x86_64 GNU/Linux
I am using the terminal version of Emacs

Regards
FIQ